Irrlicht Engine: irr::scene::IMeshLoader Class Reference

Home | Namespaces | Hierarchy | Alphabetical List | Class list | Files | Namespace Members | Class members | File members | Tutorials

# irr::scene::IMeshLoader Class Reference

Class which is able to load an animated mesh from a file. More...

`#include <IMeshLoader.h>`

Inheritance diagram for irr::scene::IMeshLoader:

List of all members.

## Public Member Functions
virtual IAnimatedMesh * | createMesh (io::IReadFile *file)=0
| Creates/loads an animated mesh from the file.
virtual bool | isALoadableFileExtension (const io::path &filename) const =0
| Returns true if the file might be loaded by this class.
virtual | ~IMeshLoader ()
| Destructor.

## Detailed Description

Class which is able to load an animated mesh from a file.

If you want Irrlicht be able to load meshes of currently unsupported file formats (e.g. .cob), then implement this and add your new Meshloader with ISceneManager::addExternalMeshLoader() to the engine.

Definition at line 26 of file IMeshLoader.h.

## Constructor & Destructor Documentation

virtual irr::scene::IMeshLoader::~IMeshLoader | ( |  | ) | `[inline, virtual]`

Destructor.

Definition at line 31 of file IMeshLoader.h.

## Member Function Documentation

virtual IAnimatedMesh* irr::scene::IMeshLoader::createMesh | ( | io::IReadFile * | file | ) | `[pure virtual]`

Creates/loads an animated mesh from the file.

Parameters:

  | file | File handler to load the file from.

Returns:
  Pointer to the created mesh. Returns 0 if loading failed. If you no longer need the mesh, you should call IAnimatedMesh::drop(). See IReferenceCounted::drop() for more information.

virtual bool irr::scene::IMeshLoader::isALoadableFileExtension | ( | const io::path & | filename | ) | const`[pure virtual]`

Returns true if the file might be loaded by this class.

This decision should be based on the file extension (e.g. ".cob") only.

Parameters:

  | filename | Name of the file to test.

Returns:
  True if the file might be loaded by this class.

The documentation for this class was generated from the following file:

- IMeshLoader.h

| The Irrlicht Engine Documentation © 2003-2010 by Nikolaus Gebhardt. Generated on Sun Oct 24 12:42:07 2010 by Doxygen (1.6.2)